Skip to content
Permalink
Browse files

debian packaging update (grass7)

  • Loading branch information
jef-n committed Aug 25, 2015
1 parent 1a342fa commit 09fba27765ccb466ee5b092e7fec1a3a98d3ebab
@@ -1,3 +1,10 @@
qgis (2.10.1-1) UNRELEASED; urgency=medium

* split grass provider off into a separate package.
* disable grass plugin on sid (because of GRASS7)

-- Jürgen E. Fischer <jef@norbit.de> Tue, 25 Aug 2015 23:49:41 +0200

qgis (2.10.1) UNRELEASED; urgency=medium

* Release of 2.10.1
@@ -9,7 +9,7 @@ Build-Depends:
#sid stretch jessie wheezy saucy sid-oracle trusty utopic vivid# debhelper (>= 9),
#precise# debhelper (>= 7),
flex,
grass-dev (<< 7),
grass-dev,
libexpat1-dev,
libfcgi-dev,
#sid stretch jessie sid-oracle trusty utopic vivid# libgdal-dev (>= 1.10.1-0~),
@@ -23,8 +23,8 @@ Build-Depends:
libqt4-dev (>= 4.7.0),
libqt4-opengl-dev,
libqtwebkit-dev,
#sid stretch jessie wheezy sid-oracle# libqwt-dev,
#precise saucy trusty utopic vivid# libqwt5-qt4-dev,
#jessie wheezy# libqwt-dev,
#precise saucy trusty utopic vivid stretch sid sid-oracle# libqwt5-qt4-dev,
libspatialite-dev,
libsqlite3-dev,
libspatialindex-dev,
@@ -71,7 +71,8 @@ Depends:
qgis-providers (= ${binary:Version}),
qgis-common (= ${source:Version})
Recommends:
qgis-plugin-grass,
#!sid# qgis-plugin-grass,
qgis-provider-grass,
qgis-plugin-globe,
python-qgis
Suggests: gpsbabel
@@ -212,7 +213,7 @@ Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
grass-dev (<< 7),
grass-dev,
libexpat1-dev,
#sid stretch jessie sid-oracle trusty utopic vivid# libgdal-dev (>= 1.10.1-0~),
#precise# libgdal-dev (>= 1.9.0) | libgdal1-dev (<< 1.9.0),
@@ -266,36 +267,51 @@ Description: QGIS - debugging symbols
.
This package contains debugging symbols.

Package: qgis-plugin-grass
Package: qgis-provider-grass
Architecture: any
Depends:
qgis (= ${binary:Version}),
qgis-plugin-grass-common (= ${source:Version}),
${shlibs:Depends},
${misc:Depends},
#!precise# grass-core (<< 7)
#precise# grass (<< 7)
${misc:Depends}
#sid#Breaks: qgis-plugin-grass
#sid#Replaces: qgis-plugin-grass
Description: GRASS plugin for QGIS
QGIS is a Geographic Information System (GIS) which manages, analyzes and
display databases of geographic information.
.
This plugin enables GRASS data access in the QGIS geographic data viewer.
This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
#sid stretch jessie saucy sid-oracle trusty# python2.7,
#!sid#Package: qgis-plugin-grass
#!sid#Architecture: any
#!sid#Depends:
#!sid# qgis (= ${binary:Version}),
#!sid# qgis-plugin-grass-common (= ${source:Version}),
#!sid# qgis-provider-grass (= ${source:Version}),
#!sid# ${shlibs:Depends},
#!sid# ${misc:Depends},
#!sid !precise# grass-core
#precise# grass
#!sid#Description: GRASS plugin for QGIS
#!sid# QGIS is a Geographic Information System (GIS) which manages, analyzes and
#!sid# display databases of geographic information.
#!sid# .
#!sid# This plugin enables GRASS data access in QGIS.
#!sid#
#!sid#Package: qgis-plugin-grass-common
#!sid#Architecture: all
#!sid#Depends:
#jessie saucy trusty# python2.7,
#wheezy precise# python,
${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
QGIS is a Geographic Information System (GIS) which manages, analyzes and
display databases of geographic information.
.
This package contains architecture-independent supporting data files for use
with the QGIS GRASS plugin.

#!sid# ${misc:Depends}
#!sid#Breaks: qgis-common (<< 1.5)
#!sid#Replaces: qgis-common (<< 1.5)
#!sid#Description: GRASS plugin for QGIS - architecture-independent data
#!sid# QGIS is a Geographic Information System (GIS) which manages, analyzes and
#!sid# display databases of geographic information.
#!sid# .
#!sid# This package contains architecture-independent supporting data files for use
#!sid# with the QGIS GRASS plugin.
#!sid#
Package: qgis-plugin-globe
Architecture: any
Depends:
@@ -338,8 +354,8 @@ Depends:
python-tz,
python-six,
#sid stretch jessie trusty utopic vivid sid-oracle# python-pyspatialite,
#sid stretch# liblwgeom-2.1.7,
#jessie# liblwgeom-2.1.4,
#stretch sid# liblwgeom-2.1.8,
libqgispython{QGIS_ABI},
${shlibs:Depends},
${python:Depends},
@@ -1,6 +1,2 @@
usr/lib/qgis/grass/modules/qgis.d.rast{GRASSVER}
usr/lib/qgis/grass/modules/qgis.g.info{GRASSVER}
usr/lib/qgis/grass/bin/qgis.g.browser{GRASSVER}
usr/lib/qgis/plugins/libgrassplugin{GRASSVER}.so
usr/lib/qgis/plugins/libgrassprovider{GRASSVER}.so
usr/lib/qgis/plugins/libgrassrasterprovider{GRASSVER}.so

This file was deleted.

This file was deleted.

@@ -0,0 +1,4 @@
usr/lib/qgis/grass/modules/qgis.d.rast{GRASSVER}
usr/lib/qgis/grass/modules/qgis.g.info{GRASSVER}
usr/lib/qgis/plugins/libgrassprovider{GRASSVER}.so
usr/lib/qgis/plugins/libgrassrasterprovider{GRASSVER}.so
@@ -0,0 +1,2 @@
qgis-plugin-grass: package-name-doesnt-match-sonames
qgis-plugin-grass: no-symbols-control-file
@@ -0,0 +1,12 @@
#!/bin/sh

set -e

if [ "$1" = "remove" ]; then
dpkg-divert --package qgis-provider-grass --remove --rename --divert /usr/bin/qgis.bin /usr/bin/qgis
dpkg-divert --package qgis-provider-grass --remove --rename --divert /usr/bin/qbrowser.bin /usr/bin/qbrowser
fi

#DEBHELPER#

exit 0
@@ -0,0 +1,13 @@
#!/bin/sh

set -e

if [ "$1" = "install" -o "$1" = "upgrade" ]; then
dpkg-divert --package qgis-provider-grass --add --rename --divert /usr/bin/qgis.bin /usr/bin/qgis
dpkg-divert --package qgis-provider-grass --add --rename --divert /usr/bin/qbrowser.bin /usr/bin/qbrowser
fi

#DEBHELPER#

exit 0

@@ -47,13 +47,11 @@ CMAKE_OPTS := \
-DBUILDNAME=$(DEB_BUILD_NAME) \
-DCMAKE_VERBOSE_MAKEFILE=1 \
-DCMAKE_INSTALL_PREFIX=/usr \
-DGRASS_PREFIX=/usr/lib/$(GRASS) \
-DBINDINGS_GLOBAL_INSTALL=TRUE \
-DPEDANTIC=TRUE \
-DWITH_QSPATIALITE=TRUE \
-DWITH_SERVER=TRUE \
-DWITH_SERVER_PLUGINS=TRUE \
-DWITH_GRASS7=FALSE \
-DSERVER_SKIP_ECW=TRUE \
-DQGIS_CGIBIN_SUBDIR=/usr/lib/cgi-bin \
-DWITH_APIDOC=TRUE \
@@ -69,6 +67,18 @@ CMAKE_OPTS := \
-DQT_TAG_FILE=/usr/share/qt4/doc/html/qt.tags \
-DQT_DOC_URL=/usr/share/qt4/doc/html/

ifeq ($(GRASSVER),7)
CMAKE_OPTS += \
-DWITH_GRASS=FALSE \
-DWITH_GRASS7=TRUE \
-DGRASS_PREFIX7=/usr/lib/$(GRASS)
else
CMAKE_OPTS += \
-DWITH_GRASS=TRUE \
-DWITH_GRASS7=FALSE \
-DGRASS_PREFIX=/usr/lib/$(GRASS)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
@@ -132,11 +142,19 @@ ifneq (,$(findstring profile,$(DEB_BUILD_OPTIONS)))
LDFLAGS += -pg
endif

# multi distribution support:
# - remove prefixes for current distribution
# - remove lines that exclude current distribution
# - remove prefixes that exclude other distributions
# - remove remaining comments

define gentemplate
$(2): $(1)
sed -r \
-e 's/^#(.* |)$(DISTRIBUTION)( .*|)#//' \
-e '/^#($|[^!])/d' \
-e '/^#(.* |)!$(DISTRIBUTION)( .*|)#/d' \
-e 's/^#(.* |)![^ ]*( .*|)#//' \
-e '/^#/d' \
-e "s/\{DEB_BUILD_GNU_TYPE\}/$(DEB_BUILD_GNU_TYPE)/g" \
-e "s#\{QT_PLUGIN_DIR\}#$(QT_PLUGIN_DIR)#g" \
-e "s/\{QGIS_ABI\}/$(QGIS_ABI)/g" \
@@ -232,9 +250,9 @@ override_dh_auto_install:
$(RM) $(CURDIR)/debian/tmp/usr/bin/qbrowser

# qgis binary wrappers
install -o root -g root -m 755 -d $(CURDIR)/debian/qgis-plugin-grass/usr/bin
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-plugin-grass/usr/bin/qgis
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-plugin-grass/usr/bin/qbrowser
install -o root -g root -m 755 -d $(CURDIR)/debian/qgis-provider-grass/usr/bin
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-provider-grass/usr/bin/qgis
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-provider-grass/usr/bin/qbrowser

override_dh_install:
# Don't ship srs.db, automatically updated in postinst with crssync

0 comments on commit 09fba27

Please sign in to comment.
You can’t perform that action at this time.